using PARR.Core.Repositories.Interfaces.Unit;
using PARR.DAL.Context;
using PARR.Domain.Entities.Unit;

namespace PARR.DAL.Repositories.Unit
{
    internal class UnitRegionalEkPtkGroupRepository : IUnitRegionalEkPtkGroupRepository
    {
        private readonly DataContext dataContext;

        public UnitRegionalEkPtkGroupRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<UnitRegionalEkPtkGroup> Get()
        {
            return dataContext.UnitRegionalEkPtkGroups;
        }
    }
}
